Get Agents

Get Agents
Get all Usage Meter agents.

Get all Usage Meter agents.

Request
URI
GET
https://eapi.broadcom.com/vcf/ums/api/v2/{tenantId}/agents
COPY
Path Parameters
string
tenantId
Required

used to specify the ID of the tenant

Query Parameters
boolean
includeDeleted
Optional

whether to include deleted agents, by default true.

string
effectiveFrom
Optional

start time for effectiveFrom filter


Authentication
This operation uses the following authentication methods.
Responses
200

all Usage Meter agents

[
    {
        "agentId": "string",
        "label": "string",
        "modifiedAt": "string",
        "version": "string",
        "effectiveFrom": "string",
        "changedBy": "string",
        "agentSequence": 0,
        "tenantId": "string",
        "deleted": false
    }
]
array of object
Optional

A Usage Meter agent collects usage data in one or multiple data centers. Usually this is a VCF Usage Meter appliance.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vcf/ums/api/v2/{tenantId}/agents